import { LitElement } from 'lit';
export declare const ICON_SQUARE_FONT_AWESOME = "icon-square-font-awesome";
export declare class IconSquareFontAwesomeComponent extends LitElement {
    static readonly defaultTagName = "icon-square-font-awesome";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
